// You can import API functions like this from D3.js.
import { select, csv } from 'd3';

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of the message div.
select('#message').text(message);

const svg = select('svg');

const width = svg.attr('width');
const height = svg.attr('height');

const circleGroup = svg.append('g')
.attr('transform', 
        `translate(${width / 2}, ${height / 2})`)

circleGroup.append('circle')
.attr('cx', -150)
  .attr('fill', 'green')
.attr('r', 50);
circleGroup.append('circle')
  .attr('fill', 'blue')
.attr('r', 50);
const circle3 = circleGroup.append('circle')
  .attr('fill', 'red')
.attr('cx', 150)
.attr('r', 50)
.on('mouseover', function(){
  circle3.attr('fill','black');
})
.on('mouseout', function(){
d3.select(this).attr('fill','red');
});

select('body').append('button')


var button = d3.select("button").text('move')
            .on("click", function() {
               d3.selectAll("circle").transition().duration(2000)
                        .attr("cx", 0)
      })